Index: data/trunk/scripts/cloud.lua
===================================================================
--- data/trunk/scripts/cloud.lua	(revision 3994)
+++ data/trunk/scripts/cloud.lua	(revision 3994)
@@ -0,0 +1,9 @@
+function tick(timestep)
+
+io.write("cloud script begin\n")
+myClouds:skyColor(1, 0, 0, 15)
+io.write("cloud script end\n") 
+
+return true
+
+end
Index: data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- data/trunk/worlds/DefaultCampaign.oxc	(revision 3991)
+++ data/trunk/worlds/DefaultCampaign.oxc	(revision 3994)
@@ -16,5 +16,5 @@
       <nextid>2</nextid>
       <name>Demo Mountain Lake</name>
-      <path>worlds/sp_demo_mountain_lake.oxw</path>
+      <path>worlds/mountainlake.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
@@ -24,6 +24,6 @@
       <identifier>2</identifier>
       <nextid>3</nextid>
-      <name>Level1: Ambush at Jupiter</name>
-      <path>worlds/sp_level_ambush_at_jupiter.oxw</path>
+      <name>vulcania</name>
+      <path>worlds/vulcania.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
Index: data/trunk/worlds/lake.mtl
===================================================================
--- data/trunk/worlds/lake.mtl	(revision 3994)
+++ data/trunk/worlds/lake.mtl	(revision 3994)
@@ -0,0 +1,39 @@
+newmtl Mat_12
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 1.00 0.55 0.40
+Ns 50.78
+newmtl Mat_14
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.00 0.00 0.00
+Ns 50.78
+newmtl Mat_16
+illum 4
+Kd 1.00 1.00 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.00 0.00 0.00
+Ns 50.78
+newmtl default3
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.00 0.00 0.00
+Ns 0.00
+newmtl initialShadingGroup
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd gras_128.jpg
+Ni 1.00
Index: data/trunk/worlds/mountainlake.oxw
===================================================================
--- data/trunk/worlds/mountainlake.oxw	(revision 3991)
+++ data/trunk/worlds/mountainlake.oxw	(revision 3994)
@@ -12,4 +12,44 @@
   </LoadScreen>
 
+  <ScriptManager>
+
+   <Scripts>
+
+    <Script>
+     <file>cloud.lua</file>
+     <object>CloudEffect, myClouds</object>
+    </Script>
+    <!--<Script>
+     <file>lieni.lua</file>
+     <object>MappedWater, water1</object>
+    </Script>-->
+   </Scripts>
+
+   <ScriptTriggers>
+
+    <ScriptTrigger>
+     <file>cloud.lua</file>
+     <function>tick</function>
+     <abs-coor>0,100,0</abs-coor>
+     <radius>10</radius>
+     <worldentity>Player</worldentity>
+     <triggerlasts>true</triggerlasts>
+     <debugdraw>true</debugdraw>
+    </ScriptTrigger>
+
+    <!--<ScriptTrigger>
+     <file>lieni.lua</file>
+     <function>tick</function>
+     <abs-coor>0,200,0</abs-coor>
+     <radius>10</radius>
+     <worldentity>Player</worldentity>
+     <triggerlasts>true</triggerlasts>
+     <debugdraw>true</debugdraw>
+    </ScriptTrigger>-->
+
+   </ScriptTriggers>
+
+  </ScriptManager>
+
   <WorldEntities>
     <Hover>
@@ -17,12 +57,8 @@
       <abs-coor>50, 100, 50</abs-coor>
     </Hover>
-    <!--<SkyBox>
-     <name>Sky</name>
-     <Materialset>pictures/sky/desert</Materialset>
-     <Size>10000</Size>
-    </SkyBox>-->
+
     <Terrain>
       <name>water</name>
-      <model>worlds/sea_ground.obj, 4</model>
+      <model>worlds/lake.obj, 1</model>
     </Terrain>
 
@@ -34,33 +70,19 @@
 
     <MappedWater>
-      <waterpos>0,0,-500</waterpos>
-      <watersize>500,500</watersize>
-      <wateruv>6</wateruv>
-      <waterflow>0.04</waterflow>
+      <name>water1</name>
+      <waterpos>-500,20,-500</waterpos>
+      <watersize>1000,1000</watersize>
+      <wateruv>9</wateruv>
+      <waterflow>0.08</waterflow>
       <lightpos>50,460,300</lightpos>
-      <!--<lightpos>50,460,300</lightpos>-->
-      <shinesize>58</shinesize>
-      <shinestrength>0.6</shinestrength>
-      <reflstrength>0.7</reflstrength>
-      <watercolor>0.0, 0.3, 0.4</watercolor>
+      <shinesize>128</shinesize>
+      <shinestrength>0.7</shinestrength>
+      <reflstrength>1</reflstrength>
+      <watercolor>0.1, 0.2, 0.4</watercolor>
       <waterangle>0</waterangle>
       <refraction>0.009</refraction>
-      <normalmapscale>0.25</normalmapscale>
     </MappedWater>
-    <MappedWater>
-      <waterpos>-500,40,-500</waterpos>
-      <watersize>500,500</watersize>
-      <wateruv>6</wateruv>
-      <waterflow>0.04</waterflow>
-      <lightpos>50,460,300</lightpos>
-      <!--<lightpos>50,460,300</lightpos>-->
-      <shinesize>58</shinesize>
-      <shinestrength>0.6</shinestrength>
-      <reflstrength>0.7</reflstrength>
-      <watercolor>0.0, 0.3, 0.4</watercolor>
-      <waterangle>0</waterangle>
-      <refraction>0.009</refraction>
-      <normalmapscale>0.25</normalmapscale>
-    </MappedWater>
+
+
     <SkyBox>
      <name>Sky</name>
@@ -88,25 +110,28 @@
   </LightManager>
 
-	<!--<AtmosphericEngine>
-		<WeatherEffect>
-			<FogEffect>
-			</FogEffect>
 
-			<RainEffect>
-				<option>moverain</option>
-			</RainEffect>
+  <AtmosphericEngine>
+    <WeatherEffect>
 
-			<SnowEffect>
-			</SnowEffect>
+      <FogEffect>
+      </FogEffect>
+
+      <RainEffect>
+        <option>moverain</option>
+      </RainEffect>
+
+      <SnowEffect>
+      </SnowEffect>
 
       <LightningEffect>
-			</LightningEffect>
+      </LightningEffect>
 
       <CloudEffect>
-        <option>activate</option>
+        <name>myClouds</name>
       </CloudEffect>
 
-		</WeatherEffect>
-	</AtmosphericEngine>-->
+    </WeatherEffect>
+  </AtmosphericEngine>
+
 
 </WorldDataFile>
